/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

var config = {
    config: {
        mixins: {
            'mage/validation': {
                'WriteTextAI_WriteTextAI/js/validation-mixin': true
            }
        }
    },
    paths: {
        'wtaiSignalR': '//cdn.jsdelivr.net/npm/@microsoft/signalr@3.1.8/dist/browser/signalr.min',
        'wtaiOwlCarousel': 'WriteTextAI_WriteTextAI/js/owl.carousel.min',
        'wtaiJqueryUiTouchPunch': 'WriteTextAI_WriteTextAI/js/jquery-ui-touch-punch'
    },
    shim: {
        'wtaiSignalR': {
            deps: ['jquery']
        },
        'wtaiOwlCarousel': {
            deps: ['jquery']
        },
        'wtaiJqueryUiTouchPunch': {
            deps: ['jquery', 'jquery/ui']
        }
    }
}
