/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko'], function (ko) {
    'use strict';

    var selectedFields = ko.observableArray([]),
        referenceProductChecked = ko.observable(false),
        selectedReferenceProduct = ko.observable({}),
        descMin = ko.observable(0),
        descMax = ko.observable(0),
        excMin = ko.observable(0),
        excMax = ko.observable(0),
        specialInstructions = ko.observable(''),
        attributesSelected = ko.observableArray([]),
        initialized = ko.observable(false),
        tonesSelected = ko.observableArray([]),
        stylesSelected = ko.observable(''),
        audienceSelected = ko.observableArray([]),
        submitAction = ko.observable('generate'),
        autoOptimizeKeywords = ko.observable(false),
        autoTextOptimizationSelected = ko.observable('flag'),
        searchIntent = ko.observableArray([]),
        clusterCount = ko.observable(4),
        footerInitialized = ko.observable(false),
        keywordAnalysisPromptInitialized = ko.observable(false);

    return {
        selectedFields: selectedFields,
        referenceProductChecked: referenceProductChecked,
        selectedReferenceProduct: selectedReferenceProduct,
        descMin: descMin,
        descMax: descMax,
        excMin: excMin,
        excMax: excMax,
        specialInstructions: specialInstructions,
        attributesSelected: attributesSelected,
        initialized: initialized,
        tonesSelected: tonesSelected,
        stylesSelected: stylesSelected,
        audienceSelected: audienceSelected,
        submitAction: submitAction,
        autoOptimizeKeywords: autoOptimizeKeywords,
        autoTextOptimizationSelected: autoTextOptimizationSelected,
        searchIntent: searchIntent,
        clusterCount: clusterCount,
        footerInitialized: footerInitialized,
        keywordAnalysisPromptInitialized: keywordAnalysisPromptInitialized
    };
});
